Field NationDeveloper Platform
Field NationDeveloper Platform
Overview
Generate Access Token POST

Work Orders

Resources

Authentication

Generate Access Token


Exchange your client and user credentials for an access token. Use the returned access_token as a Bearer token in the Authorization header when calling the Client API.

POST
/authentication/api/oauth/token

Request Body

application/json

OAuth token request payload

grant_type*string

Grant type

client_id*string

Client ID

client_secret*string

Client secret

username*string

Username

password*string

Password

curl -X POST "https://api-sandbox.fndev.net/authentication/api/oauth/token" \  -H "Content-Type: application/json" \  -d '{    "grant_type": "password",    "client_id": "your-client-id",    "client_secret": "your-client-secret",    "username": "user@fieldnation.com",    "password": "string"  }'
{
  "access_token": "string_value",
  "expires_in": 0,
  "token_type": "string_value",
  "scope": "string_value",
  "refresh_token": "string_value"
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status_code": 0,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

application/json

Last updated on

Overview

Interactive REST API Testing Playground

List Work Order Lists GET

Next Page

curl -X POST "https://api-sandbox.fndev.net/authentication/api/oauth/token" \
  -H "Content-Type: application/json" \
  -d '{
    "grant_type": "password",
    "client_id": "your-client-id",
    "client_secret": "your-client-secret",
    "username": "user@fieldnation.com",
    "password": "string"
  }'